Galon Cloud
Galon API v1

/mail-pro/mailboxes/{mailbox_id}/aliases

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /mail-pro/mailboxes/{mailbox_id}/aliases

Add an alias to a mailbox

Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
mailbox_idpathstring · requiredmailbox identifier

Request body

application/json

FieldTypeDescription
addressstring · required

Responses

StatusDescriptionBody
201Alias addedobject
401Key missing or invalidError

Examples

curl

curl -X POST "$GALON_API_BASE/mail-pro/mailboxes/<mailbox_id>/aliases" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"address": "string"}'